Name:           perl-TVDB-API
Version:        0.33
Release:        6%{?dist}
Summary:        API to www.thetvdb.com
License:        CHECK(GPL+ or Artistic)
Group:          Development/Libraries
URL:            https://metacpan.org/release/TVDB-API
Source0:        https://cpan.metacpan.org/authors/id/B/BE/BEHANW/TVDB-API-%{version}.tar.gz
Patch0:         perl-TVDB-API-xml.patch

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(DBM::Deep)
BuildRequires:  perl(Debug::Simple)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::Uncompress::Unzip)
BuildRequires:  perl(LWP)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(XML::Simple)

Requires:       perl(Compress::Zlib)
Requires:       perl(DBM::Deep)
Requires:       perl(Debug::Simple)
Requires:       perl(IO::Uncompress::Unzip)
Requires:       perl(LWP)
Requires:       perl(Test::More)
Requires:       perl(XML::Simple)

%description
This module provides an API to the TVDB database through the new
published API.

%prep
%autosetup -n TVDB-API-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Nov 14 2022 Greg Wildman <greg@techno.co.za> - 0.33-6
- Tweak dependencies for F37.

* Fri May 13 2022 Greg Wildman <greg@techno.co.za> - 0.33-5
- Add XML patch for API.

* Sat May 07 2022 Greg Wildman <greg@techno.co.za> - 0.33-4
- Update dependencies for COPR rebuild.

* Thu Sep 26 2019 Greg Wildman <greg@techno.co.za> - 0.33-3
- rebuilt

* Tue Oct 11 2016 Greg Wildman <greg@techno.co.za> - 0.33-1
- Specfile autogenerated by cpanspec 1.78.
